@import url('tokens.css');
@import url('typography.css');
@import url('side-content.css');
@import url('logo.css');
@import url('search.css');
@import url('menu.css');
@import url('main-content.css');
@import url('breadcrumb.css');
@import url('card.css');
@import url('menu-contextual.css');
@import url('tag.css');
@import url('message.css');
@import url('focus.css');
@import url('hover.css');
@import url('utility-color.css');
@import url('utility-spacing.css');
@import url('utility-text.css');
@import url('utility-grid.css');
@import url('utility-display.css');
@import url('utility-flexbox.css');

:root {
  --MAIN-TEXT-color: var(--color); /* Color of text by default */
  --MAIN-TITLES-TEXT-color: var(--color); /* Color of titles h2-h3-h4-h5-h6 */
  --MAIN-LINK-color: var(--interactive); /* Color of links */
  --MAIN-LINK-HOVER-color: var(--interactive); /* Color of hovered links */
  --MAIN-ANCHOR-color: var(--interactive); /* color of anchors on titles */
  --MAIN-BG-color: var(--background); /* color for code background */

  --CODE-BLOCK-color: var(--color); /* fallback color for block code text */
  --CODE-BLOCK-BG-color: var(--background-alternative); /* fallback color for block code background */
  --CODE-BLOCK-BORDER-color: var(--divider); /* color of block code border */

  --CODE-INLINE-color: var(--color); /* color for inline code text */
  --CODE-INLINE-BG-color: var(--background-alternative); /* color for inline code background */
  --CODE-INLINE-BORDER-color: var(--divider); /* color of inline code border */

  --MENU-HOME-LINK-color: var(--interactive); /* Color of the home button text */
  --MENU-HOME-LINK-HOVER-color: var(--interactive); /* Color of the hovered home button text */

  --MENU-HEADER-BG-color: #7dc903; /* Background color of menu header */
  --MENU-HEADER-BORDER-color: var(--background); /*Color of menu header border */

  --MENU-SEARCH-color: var(--color); /* Color of search field text */
  --MENU-SEARCH-BG-color: var(--background); /* Search field background color (by default borders + icons) */
  --MENU-SEARCH-BORDER-color: var(--border-color-alternative); /* Override search field border color */

  --MENU-SECTIONS-ACTIVE-BG-color: transparent; /* Background color of the active section and its children */
  --MENU-SECTIONS-BG-color: #2b2b2b; /* Background color of other sections */
  --MENU-SECTIONS-LINK-color: var(--interactive); /* Color of links in menu */
  --MENU-SECTIONS-LINK-HOVER-color: var(--interactive); /* Color of links in menu, when hovered */
  --MENU-SECTION-ACTIVE-CATEGORY-color: var(--background); /* Color of active category text */
  --MENU-SECTION-ACTIVE-CATEGORY-BG-color: var(--active); /* Color of background for the active category (only) */

  --MENU-VISITED-color: var(--interactive); /* Color of 'page visited' icons in menu */
  --MENU-SECTION-HR-color: #606060; /* Color of <hr> separator in menu */

  --BOX-CAPTION-color: rgba(255, 255, 255, 1); /* color of the title text */
  --BOX-BG-color: rgba(255, 255, 255, 0.833); /* color of the content background */
  --BOX-TEXT-color: rgba(16, 16, 16, 1); /* fixed color of the content text */
}
